Name:          struts
Version:       1.3.10
Release:       %mkrel 1
Summary:       Apache Struts
Group:         Development/Java
License:       ASL 2.0
URL:           http://struts.apache.org/
# svn export http://svn.apache.org/repos/asf/struts/struts1/tags/STRUTS_1_3_10 struts-1.3.10
Source:        %{name}-%{version}.tar.xz
Patch0:        struts-1.3.10-build-fixes.patch
Patch1:        struts-1.3.10-enable-faces.patch
Patch2:        struts-1.3.10-core-jsp-api.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: struts-master

BuildRequires: antlr
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-fileupload
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-validator
BuildRequires: apache-portlet-1.0-api 
BuildRequires: bsf 
BuildRequires: commons-chain
BuildRequires: glassfish-jstl
BuildRequires: jakarta-oro
#BuildRequires: jakarta-taglibs-standard
BuildRequires: junit
BuildRequires: myfaces-core
BuildRequires: tomcat6
BuildRequires: tomcat6-el-2.1-api
BuildRequires: tomcat6-jsp-2.1-api
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: xml-commons-apis
BuildRequires: tomcat5-jasper
BuildRequires: servletapi4

BuildRequires: dtddoc-maven-plugin
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-checkstyle-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-jxr
BuildRequires: maven-pmd-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-report-plugin

Requires:      antlr
Requires:      apache-commons-beanutils
Requires:      apache-commons-digester
Requires:      apache-commons-fileupload
Requires:      apache-commons-logging
Requires:      apache-commons-validator
Requires:      apache-portlet-1.0-api 
Requires:      bsf 
Requires:      commons-chain
Requires:      glassfish-jstl
Requires:      jakarta-oro
Requires:      myfaces-core
Requires:      tomcat6-jsp-2.1-api
Requires:      tomcat6-servlet-2.5-api
Requires:      xml-commons-apis

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The core of the Struts framework is a flexible control layer based on standard technologies like Servlets, JavaBeans,
ResourceBundles, and Extensible Markup Language (XML), as well as various Apache Commons packages.Struts
encourages application architectures based on the Model 2 approach, a variation of the classic Model-View-Controller
(MVC) design paradigm.

Struts provides its own Controller component and integrates with other technologies to provide the Model and the
View. For the Model, Struts can interact with any standard data access technology, including Enterprise Java Beans
(EJB), JDBC, and Object Relational Bridge. For the View, Struts works well with JavaServer Pages (JSP), including JSTL
and JSF, as well as Velocity Templates, XSLT, and other presentation systems. 

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p0

%build

export MAVEN_REPO_LOCAL=$PWD/.m2/repositor
mkdir -p $MAVEN_REPO_LOCAL
mvn-rpmbuild  \
  install:install-file \
  -DgroupId=org.apache.tomcat \
  -DartifactId=jsp-api \
  -Dversion=6.0.32 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath tomcat6-jsp-api) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild -e  -Dmaven.test.skip=true -Dmaven.repo.local=$MAVEN_REPO_LOCAL install javadoc:aggregate

%install

# Parent POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom

# module JARs and POMs
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
for module in  core el extras faces mailreader-dao scripting tiles taglib; do
  install -pm 644 ${module}/target/%{name}-${module}-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}/${module}.jar
  install -pm 644 ${module}/pom.xml \
        $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-${module}.pom
  %add_maven_depmap JPP.%{name}-${module}.pom %{name}/${module}.jar
done

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Dec 05 2011 gil <gil> 1.3.10-1.mga2
+ Revision: 176919
- added tomcat6 as BR
- fix requires servlet
- build fix
  used tomcat 6.x apis
  added patch2
- correct depmap
- update to 1.3.10

* Sat Mar 19 2011 dmorgan <dmorgan> 0:1.2.9-10.mga1
+ Revision: 74348
- Do not package tomcat3 files
- Do not package tomcat3 files

* Fri Mar 18 2011 dmorgan <dmorgan> 0:1.2.9-9.mga1
+ Revision: 74341
- Do not package tomcat4 package

* Fri Mar 18 2011 dmorgan <dmorgan> 0:1.2.9-8.mga1
+ Revision: 74252
- Remove gcj support

* Fri Jan 21 2011 dmorgan <dmorgan> 0:1.2.9-7.12.mga1
+ Revision: 27815
- Adapt for mageia
- Adapt for mageia
- imported package struts


* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.9-7.12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 David Walluck <dwalluck@redhat.com> 0:1.2.9-6.12
- Resolves: CVE-2008-2025

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2.9-6.11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.2.9-5.11
- drop repotag

* Thu May 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0:1.2.9-5jpp.10
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:1.2.9-5jpp.9
- Autorebuild for GCC 4.3

* Thu Sep 27 2007 Deepak Bhole <dbhole@redhat.com> 1.2.9-4jpp.9
- Re-enable compliation of webapp classes, and disable run of check-buildroot

* Mon Sep 24 2007 Deepak Bhole <dbhole@redhat.com> 1.2.9-4jpp.8
- Exclude webapp classes from native compilation (issues with check-build-root)

* Thu Sep 20 2007 Deepak Bhole <dbhole@redhat.com> 1.2.9-4jpp.7
- Rebuild for ppc32 execmem issue and new build-id
- Add %%{?dist} as per new policy

* Tue Mar 27 2007 Deepak Bhole <dbhole@redhat.com> 1.2.9-4jpp.6
- Rewrote pre/preun/post/postun dependencies
- Change Pre[rR]eq -> Requires(pre)
- Add unowned directory to folders section. bz# 233821.

* Wed Aug 30 2006 Deepak Bhole <dbhole@redhat.com> 1.2.9-4jpp.2
- Rebuilding.

* Fri Aug 25 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.2.9-4jpp.1
- Fix requirements

* Tue Aug 22 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.9-3jpp.1
- Merge with upstream for upgrade to 1.2.9
- Use symlinks instead of actual files in WEB-INF/lib folders
- Add conditional native compilation

* Tue Aug 22 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.2.9-3jpp
- Remove duplicate macros
- Fix removal of old struts-el documentation link
- Create coreonly option

* Thu Apr 06 2006 Ralph Apel <r.apel@r-apel.de> - 0:1.2.9-2jpp
- Switch to _javadir/cactus-14/*.jar
- Thus require cactus >= 1.7.1-2jpp

* Wed Mar 29 2006 Ralph Apel <r.apel@r-apel.de> - 0:1.2.9-1jpp
- Upgrade to 1.2.9

* Thu Oct 20 2005 Ralph Apel <r.apel@r-apel.de> - 0:1.2.7-2jpp
- Add struts-chain subpackages
- Add struts-el subpackages
- Add struts-faces subpackages

* Tue Jul 26 2005 Fernando Nasser <fnasser@redhat.com> - 0:1.2.7-1jpp
- Upgrade to 1.2.7

* Fri May 27 2005 Gary Benson <gbenson@redhat.com> - 0:1.2.4-2jpp
- Build with servletapi5.
- Add build dependency on ant-nodeps.

* Tue Feb  1 2005 Joe Orton <jorton@redhat.com>
- Change webapps subpackages' tomcat dependencies to prereqs.

* Fri Nov 26 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.2.4-1jpp
- Upgrade to 1.2.4

* Sat Sep 04 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.1-3jpp
- Rebuilt with Ant 1.6.2

* Sat Jan 10 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.1-2jpp
- Fixed runtime requires
- Fix examples by making symlinks work in their respective (sub-)directories,
  the template comes for tomcat4 from Source #2 and for tomcat5 from Source #3

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.1-1jpp
- Updated to 1.1
- Use tomcat4 real webapps dir instead of -compat provided app dir
- To compile against < JDK 1.4 jdkmajorver needs to be set to 1.3

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0.2-4jpp
- for jpackage-utils 1.5

* Thu Mar 28 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-3jpp 
- fixed incorrect files in manual package

* Wed Mar 27 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-2jpp 
- corrected URL
- cleaned webapps
- tagged webapps

* Sun Mar 24 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.2-1jpp 
- 1.0.2
- generic servlet support
- distinct webapps for tomcat3 and tomcat4
- no duplicate files for webapps
- correct file ownership for webapps

* Wed Jan 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- section macro
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependencies for webapp package
- requires tomcat3
- no more requires servlet3 as tomcat3 requires it
- requires and buildrequires xalan-j2 >= 2.2.0
- adaptation to new servlet3 package
- adaptation to new xalan-j2 package
- adapation to new tomcat3 package
- uncompressed webapps

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- javadoc into javadoc package

* Tue Nov 20 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.0-2jpp
- removed packager tag
- new jpp extension
- added xalan 2.2.D13 support

* Thu Nov 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1jpp
- first JPackage release
